Package org.eclipse.viatra.query.runtime.localsearch.planner

## Enum PConstraintCategory

- java.lang.Object
- - java.lang.Enum<PConstraintCategory>
  - - org.eclipse.viatra.query.runtime.localsearch.planner.PConstraintCategory

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PConstraintCategory>`

      public enum PConstraintCategory
      extends java.lang.Enum<PConstraintCategory>

  Expresses the state of a PConstraint application condition with respect to a given adornment.
  No Reference:
    This enum is not intended to be referenced by clients.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FUTURE` |
    `PAST` |
    `PRESENT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PConstraintCategory` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PConstraintCategory[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAST

          public static final PConstraintCategory PAST

    - #### PRESENT

          public static final PConstraintCategory PRESENT

    - #### FUTURE

          public static final PConstraintCategory FUTURE

  - ### Method Detail

    - #### values

          public static PConstraintCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PConstraintCategory c : PConstraintCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PConstraintCategory valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null